package com.platform.service;

import com.platform.dao.ApiRecommendMapper;
import com.platform.entity.AdVo;
import com.platform.entity.RecommendEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service
public class ApiRecommendService {
    @Autowired
    private ApiRecommendMapper recommendDao;


    public RecommendEntity queryObject(Integer id) {
        return recommendDao.queryObject(id);
    }


    public List<RecommendEntity> queryList(Map<String, Object> map) {
        return recommendDao.queryList(map);
    }


    public int queryTotal(Map<String, Object> map) {
        return recommendDao.queryTotal(map);
    }


    public void save(RecommendEntity brand) {
        recommendDao.save(brand);
    }


    public void update(RecommendEntity brand) {
        recommendDao.update(brand);
    }


    public void delete(Integer id) {
        recommendDao.delete(id);
    }


    public void deleteBatch(Integer[] ids) {
        recommendDao.deleteBatch(ids);
    }

}
